using LSFE.Infrastructure.Dto.Account;

namespace LSFE.Domain.Contracts
{
    public interface INavigationService
    {
        Task<NavigationResponseDto> GetUserNavigationAsync(string userId);
        Task<List<NavigationItemDto>> GetNavigationByRoleIdsAsync(List<string> roleIds);
        Task<List<NavigationItemDto>> GetNavigationByRoleAsync(string roleId);
    }
}
